Package org.xnio.nio

# Class Log_$logger

java.lang.Object
org.jboss.logging.DelegatingBasicLogger
org.xnio.nio.Log_$logger

All Implemented Interfaces:
  `Serializable`, `org.jboss.logging.BasicLogger`

public class Log_$logger extends org.jboss.logging.DelegatingBasicLogger implements org.jboss.logging.BasicLogger, Serializable
Warning this class consists of generated code.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.xnio.nio.Log`
`log`
`static final org.xnio.nio.Log`
`selectorLog`
`static final org.xnio.nio.Log`
`socketLog`
`static final org.xnio.nio.Log`
`tcpServerConnectionLimitLog`
`static final org.xnio.nio.Log`
`tcpServerLog`
`static final org.xnio.nio.Log`
`udpServerChannelLog`

### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

`log`

## Constructor Summary

Constructors
Constructor
Description
`Log_$logger(org.jboss.logging.Logger log)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`acceptFailed(IOException problem, int backOffTime)`
`protected String`
`acceptFailed$str()`
`final IllegalArgumentException`
`balancingConnectionCount()`
`protected String`
`balancingConnectionCount$str()`
`final IllegalArgumentException`
`balancingTokens()`
`protected String`
`balancingTokens$str()`
`final IllegalArgumentException`
`bufferTooLarge()`
`protected String`
`bufferTooLarge$str()`
`final void`
`failedToInvokeFileWatchCallback(Throwable cause)`
`protected String`
`failedToInvokeFileWatchCallback$str()`
`protected Locale`
`getLoggingLocale()`
`final void`
`greeting(String version)`
`protected String`
`greeting$str()`
`final InterruptedIOException`
`interruptedIO()`
`final InterruptedIOException`
`interruptedIO(int bytesTransferred)`
`protected String`
`interruptedIO$str()`
`final IllegalStateException`
`noSelectorProvider()`
`protected String`
`noSelectorProvider$str()`
`final IllegalArgumentException`
`noThreads()`
`protected String`
`noThreads$str()`
`final IllegalArgumentException`
`notNioProvider()`
`protected String`
`notNioProvider$str()`
`final IllegalArgumentException`
`optionOutOfRange(String name)`
`protected String`
`optionOutOfRange$str()`
`final IllegalArgumentException`
`parameterOutOfRange(String name)`
`protected String`
`parameterOutOfRange$str()`
`final ReadTimeoutException`
`readTimeout()`
`protected String`
`readTimeout$str()`
`final void`
`selectionError(IOException e)`
`protected String`
`selectionError$str()`
`final void`
`selectorProvider(SelectorProvider provider)`
`protected String`
`selectorProvider$str()`
`final void`
`selectors(Object mainSelectorCreator, Object tempSelectorCreator)`
`protected String`
`selectors$str()`
`final void`
`taskFailed(Runnable command, Throwable cause)`
`protected String`
`taskFailed$str()`
`final RejectedExecutionException`
`threadExiting()`
`protected String`
`threadExiting$str()`
`final IllegalStateException`
`unexpectedSelectorOpenProblem(Throwable cause)`
`protected String`
`unexpectedSelectorOpenProblem$str()`
`final UnsupportedOperationException`
`unsupported(String methodName)`
`protected String`
`unsupported$str()`
`final ClosedWorkerException`
`workerShutDown(org.xnio.nio.NioXnioWorker worker)`
`protected String`
`workerShutDown$str()`
`final WriteTimeoutException`
`writeTimeout()`
`protected String`
`writeTimeout$str()`

### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.logging.BasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

## Field Details

### log

static final org.xnio.nio.Log log

### socketLog

static final org.xnio.nio.Log socketLog

### selectorLog

static final org.xnio.nio.Log selectorLog

### tcpServerLog

static final org.xnio.nio.Log tcpServerLog

### tcpServerConnectionLimitLog

static final org.xnio.nio.Log tcpServerConnectionLimitLog

### udpServerChannelLog

static final org.xnio.nio.Log udpServerChannelLog

## Constructor Details

### Log_$logger

public Log_$logger(org.jboss.logging.Logger log)

## Method Details

### getLoggingLocale

protected Locale getLoggingLocale()

### greeting

public final void greeting(String version)

### greeting$str

protected String greeting$str()

### taskFailed

public final void taskFailed(Runnable command, Throwable cause)

### taskFailed$str

protected String taskFailed$str()

### parameterOutOfRange$str

protected String parameterOutOfRange$str()

### parameterOutOfRange

public final IllegalArgumentException parameterOutOfRange(String name)

### optionOutOfRange$str

protected String optionOutOfRange$str()

### optionOutOfRange

public final IllegalArgumentException optionOutOfRange(String name)

### readTimeout$str

protected String readTimeout$str()

### readTimeout

public final ReadTimeoutException readTimeout()

### writeTimeout$str

protected String writeTimeout$str()

### writeTimeout

public final WriteTimeoutException writeTimeout()

### interruptedIO$str

protected String interruptedIO$str()

### interruptedIO

public final InterruptedIOException interruptedIO()

### interruptedIO

public final InterruptedIOException interruptedIO(int bytesTransferred)

### workerShutDown$str

protected String workerShutDown$str()

### workerShutDown

public final ClosedWorkerException workerShutDown(org.xnio.nio.NioXnioWorker worker)

### unsupported$str

protected String unsupported$str()

### unsupported

public final UnsupportedOperationException unsupported(String methodName)

### failedToInvokeFileWatchCallback

public final void failedToInvokeFileWatchCallback(Throwable cause)

### failedToInvokeFileWatchCallback$str

protected String failedToInvokeFileWatchCallback$str()

### noThreads$str

protected String noThreads$str()

### noThreads

public final IllegalArgumentException noThreads()

### balancingTokens$str

protected String balancingTokens$str()

### balancingTokens

public final IllegalArgumentException balancingTokens()

### balancingConnectionCount$str

protected String balancingConnectionCount$str()

### balancingConnectionCount

public final IllegalArgumentException balancingConnectionCount()

### bufferTooLarge$str

protected String bufferTooLarge$str()

### bufferTooLarge

public final IllegalArgumentException bufferTooLarge()

### noSelectorProvider$str

protected String noSelectorProvider$str()

### noSelectorProvider

public final IllegalStateException noSelectorProvider()

### unexpectedSelectorOpenProblem$str

protected String unexpectedSelectorOpenProblem$str()

### unexpectedSelectorOpenProblem

public final IllegalStateException unexpectedSelectorOpenProblem(Throwable cause)

### notNioProvider$str

protected String notNioProvider$str()

### notNioProvider

public final IllegalArgumentException notNioProvider()

### threadExiting$str

protected String threadExiting$str()

### threadExiting

public final RejectedExecutionException threadExiting()

### selectionError

public final void selectionError(IOException e)

### selectionError$str

protected String selectionError$str()

### acceptFailed

public final void acceptFailed(IOException problem, int backOffTime)

### acceptFailed$str

protected String acceptFailed$str()

### selectorProvider

public final void selectorProvider(SelectorProvider provider)

### selectorProvider$str

protected String selectorProvider$str()

### selectors

public final void selectors(Object mainSelectorCreator, Object tempSelectorCreator)

### selectors$str

protected String selectors$str()